
// PublicDNSPluginConfig.h : главный файл заголовка для приложения PROJECT_NAME
//

#pragma once

#ifndef __AFXWIN_H__
	#error "включить stdafx.h до включения этого файла в PCH"
#endif

#include "resource.h"		// основные символы


// CPublicDNSPluginConfigApp:
// О реализации данного класса см. PublicDNSPluginConfig.cpp
//

class CPublicDNSPluginConfigDlg;
class CPublicDNSPluginConfigApp : public CWinApp
{
public:
	CPublicDNSPluginConfigApp();

// Переопределение
public:
	virtual BOOL InitInstance();

// Реализация

	DECLARE_MESSAGE_MAP()
public:
    CString m_sModuleFileName;
    CString m_sVersionHTMLString;
    ULONGLONG m_qwFileVersion;
    CPublicDNSPluginConfigDlg* m_pMainDialog;
    CString m_sModuleFolder;
    virtual int ExitInstance();
    CString m_sCopyRightDates;
    virtual ~CPublicDNSPluginConfigApp();
    CString m_sDnsLauncherFileName;
};

extern CPublicDNSPluginConfigApp theApp;
